Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Chain_pairing< Master_matrix > Class Template Reference
Persistence Matrix

Class managing the barcode for Chain_matrix if the option was enabled. More...

`#include <gudhi/Persistence_matrix/chain_pairing.h>`

## Public Types

using | Barcode = typename Master_matrix::Barcode
using | Dimension = typename Master_matrix::Dimension

## Public Member Functions

| Chain_pairing ()
| Default constructor.
| Chain_pairing (const Chain_pairing &matrixToCopy)
| Copy constructor.
| Chain_pairing (Chain_pairing &&other) noexcept
| Move constructor.
const Barcode & | get_current_barcode () const
| Returns the current barcode which is maintained at any insertion, removal or vine swap.
Chain_pairing & | operator= (Chain_pairing other)
| Assign operator.

## Friends

void | swap (Chain_pairing &pairing1, Chain_pairing &pairing2)
| Swap operator.

## Detailed Description

template<class Master_matrix>
class Gudhi::persistence_matrix::Chain_pairing< Master_matrix >

Class managing the barcode for Chain_matrix if the option was enabled.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

## Member Typedef Documentation

## Barcode

template<class Master_matrix>

using Gudhi::persistence_matrix::Chain_pairing< Master_matrix >::Barcode = typename Master_matrix::Barcode

Barcode type.

## Dimension

template<class Master_matrix>

using Gudhi::persistence_matrix::Chain_pairing< Master_matrix >::Dimension = typename Master_matrix::Dimension

Dimension value type.

## Constructor & Destructor Documentation

## Chain_pairing() [1/2]

template<class Master_matrix>

Gudhi::persistence_matrix::Chain_pairing< Master_matrix >::Chain_pairing | ( | const Chain_pairing< Master_matrix > & | matrixToCopy | ) |

inline

Copy constructor.

Parameters

  matrixToCopy | Matrix to copy.

## Chain_pairing() [2/2]

template<class Master_matrix>

Gudhi::persistence_matrix::Chain_pairing< Master_matrix >::Chain_pairing | ( | Chain_pairing< Master_matrix > && | other | ) |

inline noexcept

Move constructor.

Parameters

  other | Matrix to move.

## Member Function Documentation

## get_current_barcode()

template<class Master_matrix>

const Chain_pairing< Master_matrix >::Barcode & Gudhi::persistence_matrix::Chain_pairing< Master_matrix >::get_current_barcode | ( |  | ) | const

inline

Returns the current barcode which is maintained at any insertion, removal or vine swap.

Returns
  Const reference to the barcode.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/chain_pairing.h